curl https://api.tapace.lk/v1/assets/asset_Xr9Lm2Qv7Tn4Kp8Zs1Wd \
-H "Authorization: Bearer $TAPACE_API_KEY"
{
"object": "asset",
"id": "asset_Xr9Lm2Qv7Tn4Kp8Zs1Wd",
"slot": "icon",
"contentType": "image/png",
"byteSize": 4821,
"width": 87,
"height": 87,
"createdAt": "2026-10-13T08:55:00.000Z"
}
{
"error": {
"type": "not_found_error",
"message": "Asset not found."
},
"requestId": "req_8f3a2c1d9e7b6a54"
}
Assets
Get an asset
Returns an asset’s details.
GET
/
v1
/
assets
/
{id}
curl https://api.tapace.lk/v1/assets/asset_Xr9Lm2Qv7Tn4Kp8Zs1Wd \
-H "Authorization: Bearer $TAPACE_API_KEY"
{
"object": "asset",
"id": "asset_Xr9Lm2Qv7Tn4Kp8Zs1Wd",
"slot": "icon",
"contentType": "image/png",
"byteSize": 4821,
"width": 87,
"height": 87,
"createdAt": "2026-10-13T08:55:00.000Z"
}
{
"error": {
"type": "not_found_error",
"message": "Asset not found."
},
"requestId": "req_8f3a2c1d9e7b6a54"
}
Returns the same fields as Upload an asset. To download the image itself, use Get asset content.
string
required
The asset ID, for example
asset_Xr9Lm2Qv7Tn4Kp8Zs1Wd.curl https://api.tapace.lk/v1/assets/asset_Xr9Lm2Qv7Tn4Kp8Zs1Wd \
-H "Authorization: Bearer $TAPACE_API_KEY"
{
"object": "asset",
"id": "asset_Xr9Lm2Qv7Tn4Kp8Zs1Wd",
"slot": "icon",
"contentType": "image/png",
"byteSize": 4821,
"width": 87,
"height": 87,
"createdAt": "2026-10-13T08:55:00.000Z"
}
{
"error": {
"type": "not_found_error",
"message": "Asset not found."
},
"requestId": "req_8f3a2c1d9e7b6a54"
}